Loading...
Searching...
No Matches
session_options

Options for creating a session. More...

`#include <session_options.hpp>`

## Public Member Functions

| session_options ()
| Create an empty set of options.
| session_options (const session_options &)
| Copy options.
session_options & | operator= (const session_options &)
| Copy options.
session_options & | handler (class messaging_handler &)
| Set a messaging_handler for the session.

## Detailed Description

Options for creating a session.

Options can be "chained" (see proton::connection_options).

Normal value semantics: copy or assign creates a separate copy of the options.

The documentation for this class was generated from the following file:

- proton/session_options.hpp